Last Comment Bug 752224 - Switch Paris binding double/int64 wrapping away from JS_NewNumberValue once we have a better API
: Switch Paris binding double/int64 wrapping away from JS_NewNumberValue once w...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 752223
Blocks: ParisBindings
  Show dependency treegraph
 
Reported: 2012-05-05 08:20 PDT by Boris Zbarsky [:bz] (still a bit busy)
Modified: 2012-08-02 16:47 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Boris Zbarsky [:bz] (still a bit busy) 2012-05-05 08:20:02 PDT
Depends on bug 752223
Comment 1 Eric Faust [:efaust] 2012-08-01 15:15:02 PDT
This should also be resolved by the patch in 752223, as the bindings were changed when JS_NewNumberValue() went away and was replaced by an always inlined non-footgunny version with the same functionality. Is this sufficient? We will still need to do something about the WebIDL [Clamp] rounding thing, as Boris suggests.
Comment 2 Boris Zbarsky [:bz] (still a bit busy) 2012-08-02 16:47:32 PDT
What [Clamp] thing?

What we have after bug 752223 seems pretty reasonable to me, unless it would be better to use DOUBLE_TO_JSVAL for the float/double cases.  Whether that's better sort of depends on the jit and on what sorts of values usually come out of such properties, right?

Probably worth a separate bug on that if we think it's useful.

Note You need to log in before you can comment on or make changes to this bug.